/************************************************************
   Graphic Console Header
   $Id:$
 ************************************************************/
#include "screen.h"

extern unsigned char gcon_font8x16[] ;
#define FONT_WIDTH   8
#define FONT_HEIGHT 16

struct GCON_HANDLER_STRUCT{
  int id ;
  int px, py ;
  int width, height ;
  int cur_px, cur_py ;
  struct VRAM_PIX fg_col ;
  struct VRAM_PIX bg_col ;
  struct VRAM_PIX *pix_map ;
} ;

typedef struct GCON_HANDLER_STRUCT GCON ;

#define DEFAULT_FG_COLOR_R 255
#define DEFAULT_FG_COLOR_G 255
#define DEFAULT_FG_COLOR_B 255

#define DEFAULT_BG_COLOR_R   0
#define DEFAULT_BG_COLOR_G   0 
#define DEFAULT_BG_COLOR_B   0 

#define MAX_GCON_HANDLE_NUM  16
int gcon_handle[MAX_GCON_HANDLE_NUM] ;

void gcon_init() ;
struct GCON_HANDLER_STRUCT* gcon_open(int px,int py, int w, int h) ;
int gcon_print( struct GCON_HANDLER_STRUCT *gcon_ptr, char *str ) ;
int gcon_draw( struct GCON_HANDLER_STRUCT* gcon_ptr ) ;
void gcon_close( struct GCON_HANDLER_STRUCT* gcon_ptr ) ;

#define gcon_set_fgcol(p,R,G,B) {p->fg_col.r=R;p->fg_col.g=G;p->fg_col.b=B;}
#define gcon_set_bgcol(p,R,G,B) {p->bg_col.r=R;p->bg_col.g=G;p->bg_col.b=B;}



